@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,400;0,500;1,300&display=swap');

$primary: #124559;
$secondary: #ADC2AF;
$tertiary: #F7FAEF;
$radius-sm: 4px;

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    ul, li {
        list-style: none;
    }
}

body {
    background-color: $tertiary;
    main {
        display: flex;
        flex-direction: column;
        align-items: center;
        font-family: 'Raleway', sans-serif;
    }
}


.heading {
    padding: 2rem;
    &__content {
        color: $primary;
        font-family: 'Raleway', sans-serif;
        font-weight: 500;
    }
}

.bar, .list {
    width: 30rem;
}

.bar {
    display: flex;
    &__input {
       // border-radius: $radius-sm;
        border: solid 1px $secondary;
        outline: none;
        width: 100%;
        padding: 1.2rem;
        font-family: 'Raleway';
        font-weight: 300;
        &:focus {
            border: solid 1px $primary;
            outline: none;
        }
        &::placeholder {
            color: $secondary;
        }
    }
    &__button {
        padding: 1.2rem;
        border-radius: 0;
        font-weight: 500;
        color:#eff6e0;
        background-color: $primary;
        border: solid 1px $primary;
        cursor: pointer;
        &:hover {
            background-color: darken($primary, 4%);
        }
    }
}

.list {
    padding: 1rem 0;
    &__content {
        color: $primary;
        .items {
            padding: .5rem 0;
            font-weight: 400;
            input:checked ~ label {
                text-decoration: line-through;
            }
        }
    }
}
